<?php
require_once( 'ClsDivs.php' );

class Content {
	
	public function create_content(){
	
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		
		//Falls eine Pageid gesetzt wurde, wird diese genommen
		if (isset( $_GET['page'] )){
			
			$id = $_GET['page'];
			//Gibt die sort ID zurück
			$result = $database->query("SELECT sort FROM sites WHERE id = ".$id.";");
				
			//Ergibt die nächst grössere oder tiefere sort(kann 0 sein, dann trifft die nächste Bedingung aber nicht zu)
			while ($row = $result->fetch()){
				$sortid = $row['sort'];
			}
		//Falls keine gesetzt wurde, so wird die erste Zeile der Sprache gesucht und ausgegeben
		}else{
			$result = $database->query("SELECT a.id,min(a.sort) FROM sites as a INNER JOIN language as b ON a.fk_language = b.id WHERE b.lang = '".LANG_current_language."';");
			while ($zeile = $result->fetch()) {$id = $zeile[0];$sortid = $zeile[1];}
			
			$result = $database->query("SELECT id FROM sites WHERE sort = ".$sortid.";");
			while ($zeile = $result->fetch()) {$id = $zeile[0];}
		}
		
		define("KONST_page",$id);
	
		$result = $database->query("SELECT * FROM sites as a INNER JOIN language as b ON a.fk_language = b.id WHERE a.sort = ".$sortid." AND b.lang = '".LANG_current_language."';");
		
		$datensatz = array();
		$data = '';
		
		if(is_bool($result) == false){ //Falls es ein Resultat gibt
			if(empty($result) == false){ //Wenn das Array nicht NULL ist
				while ($zeile = $result->fetch()) {	
	
					//Hier wird das Array erstellt, welches alle Meta-Daten und Contents beinhaltet
					foreach($zeile as $key => $datas){
						if($key == 'meta_keywords' OR $key == 'meta_description' OR $key == 'meta_autor'){
							$data = $this->reverse_meta($datas,$key,$id);
							
							//Spezialroutine für Autor
							if($key == 'meta_autor'){
								$datensatz[$key] = $this->get_autor($data);
							}else{
								$datensatz[$key] = $this->reverse_meta($datas,$key,$id);
							}
						}else if($key == 'meta_seotitle'){
							$datensatz[$key] = $this->get_meta_title($datas,'meta_pagetitle',$id);
						}else{
							$datensatz[$key] = $datas;
						}
					}
					
					//ID muss explizit gesetzt werden
					$datensatz['id'] = $id;
				
				}
			}else{$datensatz['id'] = 0;}
		}else{$datensatz['id'] = 0;}
		
		//Befüllt das Array $datensatz weiter mit den Contents
		$datensatz = $this->get_contents($id,$datensatz);
		
		//Prüft die Pfade im HTML Code und ersetzt, falls zu ersetzten ist
		$content = $this->get_content_with_changed_paths($datensatz);

		$database = null; // Schliesst DB Verbindung
		
		//Gibt ein Array zurück
		return $content;
	}
	
	private function reverse_meta($datas,$key,$id){
		if($datas == ''){
			$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
			$result = $database->query("SELECT *,min(a.sort) FROM sites as a INNER JOIN language as b ON a.fk_language = b.id WHERE b.lang = '".LANG_current_language."';");

			$data = '';
			if(is_bool($result) == false){ //Falls es ein Resultat gibt
				if(empty($result) == false){ //Wenn das Array nicht NULL ist
					while ($zeile = $result->fetch()) {	
						$data = $zeile[$key];
					}
				}
			}
			
			return $data;
			
		}else{
			return $datas;
		}
	}
	
	private function get_meta_title($datas,$key,$id){
		if($datas == ''){
			$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
			$result = $database->query("SELECT * FROM sites as a INNER JOIN language as b ON a.fk_language = b.id 
			WHERE a.id = ".$id." AND b.lang = '".LANG_current_language."';");

			$data = '';
			if(is_bool($result) == false){ //Falls es ein Resultat gibt
				if(empty($result) == false){ //Wenn das Array nicht NULL ist
					while ($zeile = $result->fetch()) {	
						$data = $zeile[$key];
					}
				}
			}
			
			return $data;
			
		}else{
			return $datas;
		}
	}
	
	private function get_contents($id,$datensatz){
		
		$divs = New Divs();
		$divnames = $divs->get_divnames(); //Array aller divnames (Datenbank feld "div_names")
		
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		
		foreach ($divnames as $div_id => $divname) {
			
			$result = $database->query("SELECT * FROM divs as a INNER JOIN contents as b ON a.id = b.fk_divs 
			WHERE b.fk_sites = ".$id." AND a.div_name = '".$divname."';");
			
			if(is_bool($result) == false){ //Falls es ein Resultat gibt
				if(empty($result) == false){ //Wenn das Array nicht NULL ist
					while ($zeile = $result->fetch()) {	
						$datensatz[$divname] = $zeile['content'];
					}
				}
			}
		}

		return $datensatz;
					
	}
	
	private function get_autor($data){
		if($data == ''){
			return KONST_copyright;
			
		}else{
			return $data.' - '.KONST_copyright;
		}
	}
	
	public function get_content_with_changed_paths($datensatz){
	
		if(LANG_path != ''){
		
			//PATH_website_upload_path = 'Homepage/uploads/'
			$datensatz = str_replace(PATH_website_upload_path, LANG_path.PATH_website_upload_path, $datensatz); 
			
			//Um Font Awesome Icons aus dem CK Editor zu bereinigen
			$datensatz = str_replace(' </i>','</i>', $datensatz);
			$datensatz = str_replace('&nbsp;</i>','</i>', $datensatz);
			
			return $datensatz;
		
		}else{
			return $datensatz;
		}
	
	}
		
	public function get_content($content_array,$id,$mode = ''){

		$content = '';
		$navi_id = '';
		
		$database = new PDO('sqlite:'.LANG_path.PATH_sqlite_path.'');
		$result = $database->query('SELECT div_name,visible FROM "divs" WHERE id = '.$id.' AND active = "1";');
			
		while ($row = $result->fetch()){

			if (strpos($row['div_name'], 'nav') !== false) {
				$navi_id = substr($row['div_name'], -1, 1);
				$navigation = new Navigation();
				$content = $navigation->create($navi_id);
				
			}else if($mode == 'edit' AND $row['visible'] == '1'){

				$content = '<textarea class="ckeditor" name="'.$row['div_name'].'" id="ck-'.$row['div_name'].'">'.@htmlspecialchars(@$content_array[$row['div_name']]).'</textarea>';
				$content = $content."<script>
								// Turn off automatic editor creation first.
								CKEDITOR.disableAutoInline = true;
								CKEDITOR.inline('ck-".$row['div_name']."', {
									extraPlugins: 'sourcedialog',
									removeButtons: 'PasteFromWord'
								});
							</script>";
			}else{
				$content = $content_array[$row['div_name']];
			}
			
		}
		
		$database = null; // Schliesst DB Verbindung

		return $content;
		
	}
	

}
?>