<?php

class Safety {
	
	public function check_authority($path_param = ''){
		
		if(KONST_inactive_plugin_safety == 'no'){
			
			$path = '../../../CMS/php/';$message = '';

			if (file_exists($path_param.$path.'Configuration/core.php')) {
				include_once($path_param.$path.'Classes/ClsConfig.php');
				$config = new Config();
				$config->start_config($path_param.$path);
			}else{
				header("Location: https://www.doitclever.ch/login.php");
				exit;
			}
			
		}else{
			$this->start_config();
		}
	}
	
	public function check_authority_end($path_param = ''){
		
		if(KONST_inactive_plugin_safety == 'no'){
			
			$path = '../../../CMS/php/';$message = '';

			if (file_exists($path_param.$path.'Configuration/core.php')) {
				include_once($path_param.$path.'Classes/ClsConfig.php');
				$config = new Config();
				$config->end_config($path_param.$path);
			}else{
				header("Location: https://www.doitclever.ch/login.php");
				exit;
			}
			
		}else{
			$this->end_config();
		}
	}
	
	private function start_config(){
		
		if(isset($_GET['language']) AND $_GET['language'] != ''){
			include('Language/'.$_GET['language'].'.php');
			if(file_exists('Language/'.$_GET['language'].'-Tooltip.php')){
				require_once('Language/'.$_GET['language'].'-Tooltip.php');
			}
		}else{
			include('Language/'.KONST_website_default_language.'.php');
			if(file_exists('Language/'.KONST_website_default_language.'-Tooltip.php')){
				require_once('Language/'.KONST_website_default_language.'-Tooltip.php');
			}
		}
		
		//Inside the config.php this have to be "", but on the webpage this will filled with "../" from the system if its multilang
		define("LANG_path", "");
		define("LANG_current_language", "DE");
		define("PATH_plugin_back_to_cms", "../../../CMS/php/cms.php");
		$path_param = '';
	
		echo '
		<!DOCTYPE HTML>

		<html lang="de">
		<head>
			<meta charset="utf-8">
			<title>Konfiguration</title>

			<link rel="stylesheet" href="https://www.doitclever.ch/user/CMS/foundation/css/foundation.css" type="text/css">
			<link rel="stylesheet" href="https://www.doitclever.ch/user/CMS/foundation/css/app.css" type="text/css">
				
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/vendor/jquery.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/vendor/modernizr.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/vendor/fastclick.js"></script>
				
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.min.js"></script>
				
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.topbar.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.dropdown.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.tab.js"></script>
			<script src="https://www.doitclever.ch/user/CMS/foundation/js/foundation/foundation.alert.js"></script>
			
			<script src="https://www.doitclever.ch/user/CMS/ck/ckeditor.js" type="text/javascript"></script>
			
			<script src="https://use.fontawesome.com/338a9c589d.js"></script>
			
			<link rel="stylesheet" href="https://www.doitclever.ch/user/CMS/php/../css/style.css" type="text/css">

		</head>

		<body>	
			<div class="row"><div class="small-12 medium-12 large-12 small-centered columns">
			
				<div style="margin-top:5%;"></div>
				DEVELOPER MODE';
		
	}
	
	private function end_config(){
		
		echo '
			<script>$(document).foundation();</script>

			</div></div>
		</body>
		</html>';
	}
}
?>