<?php

class Tracking {
	
	private $days_array = array('','Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag', 'Sonntag');
	
	public function start_tracking($ip_address, $siteid, $sitename){
	
		if(!isset($_GET['notrack'])){

			//echo "<script type='text/javascript'>window.alert('Trackt!');</script>";
			
			//Clean IP-Address
			$ip_address = str_replace(".", ":", $ip_address);//Ersetzt Punkte, falls vorhanden
			
			//Check if visitor is a bot
			if(isset($_SERVER['HTTP_USER_AGENT'])){
				
				$user_agent = $_SERVER['HTTP_USER_AGENT']; 
				
				if($this->check_is_bot($user_agent) == TRUE){$is_bot = 1;}else{$is_bot = 0;}
			}else{
				$user_agent = '';
				$is_bot = 0;
			}
			
			//Check day of week
			$day_of_week = $this->check_day();
			
			$database = new PDO('sqlite:'.LANG_path.PATH_statistic_sqlite_path.FILE_database_name);
			
			//Additional check, if same time
			$result = $database->query('SELECT user_agent, timestamp FROM statistic ORDER BY id desc LIMIT 1;');
			if(is_null ($result) == false){ // If array is not null
				if($result){// Check if object exists
					while($row = $result->fetch()){
						
						//Create timestamp for DB
						$date = new DateTime();
						$timestamp = $date->format('Y-m-d H:i:s');
						$timestamp = $date->modify("-1 seconds");
						$timestamp = $date->format('Y-m-d H:i:s');
						
						//echo '<script>alert("'.$timestamp.' = '.$row[1].'");</script>';
						
						//If it is not the same user_agent and the same time, it will be tracked
						if($timestamp > $row[1]){

							$database->exec("
							INSERT INTO statistic (`is_bot`, `user_agent`, `ip_address`, `day_of_week`, `language`, `site_id`, `site_name`, `deleted`) VALUES
							(".$is_bot.", '".$user_agent."', '".$ip_address."', '".$day_of_week."', '".LANG_current_language."', ".$siteid.", '".$sitename."', 0);
							");
						}
					}
				}
			}
			
			$database = null; // Schliesst DB Verbindung
			
		}
	}


	private function check_is_bot($user_agent) { 

		// Bot Whitelist: http://www.allvintage.net/node/487
		$bots_blacklist = array(
		'check_http',
		'google',
		'Google',
		'nagios',
		'slurp',          
		'archive',
		'crawl',
		'Crawl',
		'bot',
		'Bot',
		'spider',
		'Spider',
		'search',
		'find',
		'rank',
		'java', 
		'wget',
		'curl',
		'Commons-HttpClient',
		'commons-httpclient',
		'Python-urllib',
		'python-urllib',
		'libwww',
		'httpunit',
		'nutch',
		'teoma',
		'webmon',
		'httrack',
		'convera',
		'biglotron',
		'grub.org',
		'speedy',
		'fluffy',
		'bibnum.bnf',
		'findlink',
		'panscient',
		'IOI',
		'ips-agent',
		'yanga',
		'yandex',
		'Voyager',
		'voyager',
		'CyberPatrol',
		'cyberPatrol',
		'page2rss',
		'linkdex',
		'ezooms',
		'mail.ru',
		'heritrix',
		'Aboundex',
		'summify',
		'facebookexternalhit',
		'yeti',
		'RetrevoPageAnalyzer',
		'retrevopageanalyzer',
		'sogou',
		'wotbox',
		'ichiro',
		'drupact',
		'coccoc',
		'integromedb',
		'siteexplorer.info',
		'proximic',
		'changedetection',
		'ZmEu',
		'Novalnet',
		'COMODO',
		'comodo',
		'Drupal',
		'drupal',
		'facebook',
		'analytics',
		'PayPal',
		'paypal',
		'revolt',
		);
		
		$result = FALSE;
		foreach($bots_blacklist as $bot) {
			if ((stripos((strtolower($user_agent)), $bot)) !== false) {
				$result = TRUE; // It is a bot
			}
		}
		
		return $result;

	} 

	
	private function check_day(){
	
		$day_of_week = $this->days_array[date('w')];
		return $day_of_week;
	}
	
}

?>