<?php require_once('../../php/Configuration/start.php');?>

<?php

require_once('config/config.php');

include_once('Classes/ClsGroups.php');
$groups = New Groups();
echo $groups->check_functions();

include_once('Classes/ClsBlog.php');
$blog = New Blog();
$blog->create_dir('../../uploads/'.basename(__DIR__).'');
echo $blog->check_functions();

?>
		
		<script src="datepicker/js/foundation-datepicker.js"></script>
		<script src="datepicker/js/locales/foundation-datepicker.vi.js"></script>
		<link rel="stylesheet" href="datepicker/css/foundation-datepicker.min.css">
		<link rel="stylesheet" href="css/style.css">
			
		<h3><?php echo LANG_plugin_original_blog_title; ?></h3>
		<p><?php echo LANG_plugin_original_blog_text; ?></p>	
		
		<div class="row">
			<div class="large-12 columns">
				<a class="button" href="<?php echo $path_param.PATH_plugin_back_to_cms; ?>"><?php echo LANG_plugin_original_blog_back; ?></a>
				<a class="button red" href="<?php echo $_SERVER["PHP_SELF"].'?new=yes'; ?>"><?php echo LANG_plugin_original_blog_button_new; ?></a>
				<a class="button" onclick="fadeout('structure')"><?php echo LANG_plugin_original_blog_more; ?></a>
			</div>
		</div>
		
		<div class="row">
			<div class="large-12 columns">
				<?php echo $groups->get_dropdown(basename(__DIR__)); ?>
			</div>
		</div>
		
		<div id="structure" style="display: none;">
		<div class="row">
			<div class="large-12 columns">
			
			<form method="Post" action="config.php">
			
				<p><?php echo LANG_plugin_original_blog_text_more; ?>
				<br><br>
				<strong><?php echo $blog->get_replaces(); ?></strong></p>	
				<textarea name="code" style="height:300px;" placeholder="<?php echo LANG_plugin_original_blog_placeholder; ?>"><?php echo $blog->get_data('data.json'); ?></textarea>
				<input class="button red" name="save" type="submit" value="<?php echo LANG_plugin_original_blog_do_save; ?>">
			</form>
			
			</div>
		</div>
		</div>
		
		<?php echo $blog->get_entry_manager(basename(__DIR__));?>
			
		<div class="row">
			<div class="small-12 medium-12 large-12 columns">
				<table style="width:100%;">
					<thead>
						<tr>
							<td><strong><?php echo LANG_plugin_original_blog_title_title; ?></strong></td>
							<td><strong><?php echo LANG_plugin_original_blog_title_message; ?></strong></td>
							<td><strong><?php echo LANG_plugin_original_blog_title_published; ?></strong></td>
							<td><strong><?php echo LANG_plugin_original_blog_title_ended; ?></strong></td>
							<?php echo $blog->check_icon(basename(__DIR__).'-News'); ?>
							<td><i aria-hidden="true" class="fa fa-eye black"></i></td>
							<?php echo $blog->check_icon('Social-Media'); ?>
							<td></td>
							<td></td>
						</tr>
					</thead>
					<tbody>
						<?php echo $blog->get_all_entries(basename(__DIR__));?>
					</tbody>
				</table>	
			</div>
		</div>
		
		<script>
			//Download: https://github.com/najlepsiwebdesigner/foundation-datepicker
			// How to: http://foundation-datepicker.peterbeno.com/example.html
			$(function(){
				$('.ffdatepicker').fdatepicker({
					initialDate: '',
					format: 'dd.mm.yyyy',
					disableDblClickSelection: true,
					leftArrow:'<<',
					rightArrow:'>>',
					closeIcon:'X',
					closeButton: true
				});
			});
		</script>

			
				
<?php require_once('../../php/Configuration/end.php');?>