<?php

class Kontakt {
	
	public function check_functions(){
		if(isset($_POST['save'])){
			
			return $this->save_mail($_POST['from'],$_POST['to'],$_POST['recaptcha_secret'],$_POST['recaptcha'],"php/mailadress.php");
		}

		if(isset($_POST['mail'])){
			
			if($_POST['name'] != '' AND $_POST['mail'] != '' AND $_POST['subject'] != '' AND $_POST['message'] != ''){
				
				//Prüft ob es einen Google Captcha Code gibt
				if($this->get_captcha(LANG_path.'Homepage/plugins/Kontakt/data.json') != ''){
					
					//Überprüft den Captcha Code
					if(isset($_POST['g-recaptcha-response']) AND $this->check_captcha($_POST['g-recaptcha-response']) == true){
						return $this->send_mail($_POST['name'],$_POST['mail'],$_POST['subject'],$_POST['message']);
					}else{
						return LANG_plugin_captcha_error;
					}
					
				}else{
					return $this->send_mail($_POST['name'],$_POST['mail'],$_POST['subject'],$_POST['message']);
				}
				
			}else{
				return LANG_plugin_mail_empty;
			}
		}
		
	}
	
	public function get_captcha($file){
		
		$data = array();
		$data = json_decode(file_get_contents($file));
		
		$html = '';
		foreach($data as $code => $value){
			$html .= $value;
		}
		
		return $html;
		
	}
	
	private function save_captcha($captchacode){
		
		$data = array();
		$data['code'] = $captchacode;
		
		$file = 'data.json';
		$json_string = json_encode($data, JSON_PRETTY_PRINT);
		file_put_contents($file, $json_string);
		
		return LANG_ok;
		
	}
	
	private function check_captcha($controlcode){
		
		if($controlcode != ''){
		$captcha = $controlcode;
		$secretKey = KONST_plugin_recaptcha_secret;
		$ip = $_SERVER['REMOTE_ADDR'];
		
		$response=file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=".$secretKey."&response=".$captcha."&remoteip=".$ip);
		$responseKeys = json_decode($response,true);
		
		if(intval($responseKeys["success"]) !== 1) {
			return false;
		}else{
			return true;
		}
		}else{
			return false;
		}
	}
	
	private function send_mail($name,$mail,$usersubject,$message){
		
		if ($_SERVER['REQUEST_METHOD'] === "POST") {

			$header = array();
			$header[] = "From: ".mb_encode_mimeheader(LANG_plugin_mail_header, "utf-8", "Q")." <".LANG_plugin_mail_config_from.">";
			$header[] = "MIME-Version: 1.0";
			$header[] = "Content-type: text/html; charset=utf-8";
			$header[] = "Content-transfer-encoding: 8bit";
			
			$mailtext = $this->get_mailtext($name,$mail,$usersubject,$message);

			mail(
				LANG_plugin_mail_config_to, 
				mb_encode_mimeheader(LANG_plugin_mail_subject, "utf-8", "Q"), 
				$mailtext,
				implode("\n", $header)
			) or die("Die Mail konnte nicht versendet werden.");
			echo LANG_plugin_mail_ok;
		}
	}
	
	private function get_mailtext($name,$mail,$usersubject,$message){
		
		return "
		".LANG_plugin_mail_form_name."<br/>".$name."<br/><br/>
		".LANG_plugin_mail_form_mail."<br/>".$mail."<br/><br/>
		".LANG_plugin_mail_form_subject."<br/>".$usersubject."<br/><br/>
		".LANG_plugin_mail_form_message."<br/>".$message."<br/><br/>
		";
		
	}
	
	private function save_mail($from,$to,$recaptcha_secret,$captchacode,$path){
			
			$this->save_captcha($captchacode);
			
			$ourFileHandle = fopen($path, 'w') or die("can't open file");
			$from = 'define("LANG_plugin_mail_config_from", "'.$from.'");';
			$to = 'define("LANG_plugin_mail_config_to", "'.$to.'");';
			$recaptcha_secret = 'define("KONST_plugin_recaptcha_secret", "'.$recaptcha_secret.'");';
			if(fwrite( $ourFileHandle, "<?php \n\n".$from." \n ".$to." \n ".$recaptcha_secret." \n?>")){
				fclose($ourFileHandle);
				return LANG_plugin_mail_save;
			}else{
				return LANG_plugin_mail_error;
			}
			
	}

}
?>