----
-- phpLiteAdmin database dump (http://phpliteadmin.googlecode.com)
-- phpLiteAdmin version: 1.9.5
-- Exported: 11:34am on June 15, 2015 (CEST)
-- database file: ../../Homepage/sqlite\Content.db
----
BEGIN TRANSACTION;

----
-- Drop table for language
----
DROP TABLE "language";

----
-- Table structure for language
----
CREATE TABLE language (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `lang` varchar(10) NOT NULL,
  `visible` SMALLINT,
  `active` SMALLINT);

----
-- Data dump for language, a total of 4 rows
----
INSERT INTO "language" ("id","lang","visible","active") VALUES (1,'DE',1,1);
INSERT INTO "language" ("id","lang","visible","active") VALUES (2,'FR',0,0);
INSERT INTO "language" ("id","lang","visible","active") VALUES (3,'IT',0,0);
INSERT INTO "language" ("id","lang","visible","active") VALUES (4,'EN',0,0);

----
-- Drop table for plugins
----
DROP TABLE "plugins";

----
-- Table structure for plugins
----
CREATE TABLE plugins (
  `plugin_id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `plugin_name` varchar(100) NOT NULL,
  `fk_sites` INTEGER,
  `fk_divs` INTEGER,
  `fk_language` SMALLINT NOT NULL,
  `active_all_sites` SMALLINT);

----
-- Data dump for plugins, a total of 0 rows
----

----
-- Drop table for settings
----
DROP TABLE "settings";

----
-- Table structure for settings
----
CREATE TABLE settings(
	`id` INTEGER PRIMARY KEY AUTOINCREMENT,
	`key` varchar(100) NOT NULL,
	`value` varchar(100) NOT NULL,
	`notice` varchar(1000)
	);

----
-- Data dump for settings, a total of 0 rows
----

----
-- Drop table for sites
----
DROP TABLE "sites";

----
-- Table structure for sites
----
CREATE TABLE sites (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `parent_id` INTEGER DEFAULT NULL,
  `navigation_id` INTEGER NOT NULL,
  `fk_language` SMALLINT NOT NULL,
  `meta_pagetitle` varchar(20) DEFAULT NULL,
  `meta_title` varchar(30) DEFAULT NULL,
  `meta_keywords` varchar(1000) DEFAULT NULL,
  `meta_description` varchar(50) DEFAULT NULL,
  `meta_autor` varchar(50) DEFAULT NULL,
  `date` DATETIME DEFAULT CURRENT_TIMESTAMP,
  `active` SMALLINT,
  `visible` SMALLINT,
  `order` INTEGER NOT NULL
  );

----
-- Data dump for sites, a total of 1 rows
----
INSERT INTO "sites" ("id","parent_id","navigation_id","fk_language","meta_pagetitle","meta_title","meta_keywords","meta_description","meta_autor","top","header","top_content","left_content","content","right_content","bottom_content","footer","date","active","visible") VALUES ('1','0','1','1','Startseite','Startseite','Website','Website with CMS','Powered by CMS','','<div style="margin-top: 5%;">&nbsp;</div>

<h2><img alt="" src="Homepage/uploads/Images/logo.png" style="width: 208px; height: auto;"></h2>
','','','<ul class="example-orbit" data-orbit="">
	<li class="active"><img alt="slide 1" src="Homepage/uploads/Images/sample.png" style="width: 100%; height: auto;"></li>
	<li><img alt="slide 2" src="Homepage/uploads/Images/sample2.png" style="width: 100%; height: auto;"></li>
	<li><img alt="slide 3" src="Homepage/uploads/Images/sample3.png" style="width: 100%; height: auto;"></li>
</ul>

<div class="large-12 columns">
<h4>&nbsp;</h4>

<h4>This is a content section.</h4>

<p>Bacon ipsum dolor sit amet nulla ham qui sint exercitation eiusmod commodo, chuck duis velit. Aute in reprehenderit, dolore aliqua non est magna in labore pig pork biltong. Eiusmod swine spare ribs reprehenderit culpa. Boudin aliqua adipisicing rump corned beef.</p>

<p>Pork drumstick turkey fugiat. Tri-tip elit turducken pork chop in. Swine short ribs meatball irure bacon nulla pork belly cupidatat meatloaf cow. Nulla corned beef sunt ball tip, qui bresaola enim jowl. Capicola short ribs minim salami nulla nostrud pastrami.</p>
</div>
','','','<div class="large-12 columns">
<hr>
<div class="row">
<div class="large-6 columns">
<p>&copy; Copyright no one at all. Go to town.</p>
</div>

<div class="large-6 columns">
<ul class="inline-list right">
	<li><a href="#">Link 1</a></li>
	<li><a href="#">Link 2</a></li>
	<li><a href="#">Link 3</a></li>
	<li><a href="#">Link 4</a></li>
</ul>
</div>
</div>
</div>
','2015-06-01 14:17:59','1','1');

----
-- Drop table for divs
----
DROP TABLE "divs";

----
-- Table structure for divs
----
CREATE TABLE 'divs' (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `div_name` varchar(20) NOT NULL,
  `order` INTEGER NOT NULL,
  'visible' INTEGER,
  'active' INTEGER);

----
-- Data dump for divs, a total of 11 rows
----
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('1','no_div','100','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('2','top','1','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('3','header','2','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('4','top_content','4','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('5','left_content','5','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('6','content','6','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('7','right_content','7','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('8','bottom_content','8','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('9','footer','9','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('10','navigation1','3','1','1');
INSERT INTO "divs" ("id","div_name","order","visible","active") VALUES ('11','navigation2','10','1','1');
COMMIT;

DROP TABLE "divnames";

CREATE TABLE 'divnames' (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `fk_divs` INTEGER NOT NULL,
  `fk_language` INTEGER NOT NULL,
  `name` varchar(20));

----
-- Data dump for divnames, a total of 11 rows
----
INSERT INTO "divnames" (`fk_divs`,`fk_language`,`name`) VALUES
('2','1','Überschrift'),
('3','1','Kopfzeile'),
('4','1','Oberer Inhalt'),
('5','1','Linker Inhalt'),
('6','1','Mittlerer Inhalt'),
('7','1','Rechter Inhalt'),
('8','1','Unterer Inhalt'),
('9','1','Fusszeile'),
('10','1','Hauptnavigation'),
('11','1','Nebennavigation'),
('2','2','Title'),
('3','2','Header'),
('4','2','Content (top)'),
('5','2','Content (left)'),
('6','2','Content (center)'),
('7','2','Content (right)'),
('8','2','Content (bottom)'),
('9','2','Footer'),
('10','2','Main Navigation'),
('11','2','Second Navigation'),
('2','3','Title'),
('3','3','Header'),
('4','3','Content (top)'),
('5','3','Content (left)'),
('6','3','Content (center)'),
('7','3','Content (right)'),
('8','3','Content (bottom)'),
('9','3','Footer'),
('10','3','Main Navigation'),
('11','3','Second Navigation'),
('2','4','Title'),
('3','4','Header'),
('4','4','Content (top)'),
('5','4','Content (left)'),
('6','4','Content (center)'),
('7','4','Content (right)'),
('8','4','Content (bottom)'),
('9','4','Footer'),
('10','4','Main Navigation'),
('11','4','Second Navigation');