<?php

class Editor {
	
	public function check_function(){
		
		if(isset($_POST['save'])){
			
			//If the plugin "Elfinder" exists, this method will change image paths to relative paths
			if(file_exists('../../php/Classes/ClsHelper.php')){
				include_once('../../php/Classes/ClsHelper.php');
				$helper = New Helper();
				$data = $helper->clean_code($_POST['code'],'save');
			}else{
				$data = $_POST['code'];
			}

			return $this->save_code($data);
		}
		
	}
	
	public function get_data($file){
		
		$data = array();
		$data = json_decode(file_get_contents($file));
		
		$html = '';
		foreach($data as $code => $value){
			if ($code == LANG_current_language) { //Prüft die Sprache des Datensatzes
				$html .= $value;
			}
		}
		$data = $html;
		
		//If the plugin "Elfinder" exists, this method will change image paths to relative paths
		if(file_exists('../../php/Classes/ClsHelper.php')){
			include_once('../../php/Classes/ClsHelper.php');
			$helper = New Helper();
			$data = $helper->clean_code($html,'get');
		}else{
			$data = $html;
		}
		
		return $data;
	}
	
	private function save_code($code){
		
		$data = array();
		$existingdata = json_decode(file_get_contents('data.json'));
		
		//Ersetzt die gewünschte Zeile im JSON (nur nötig, wenn der Code mehrsprachig gespeichert werden soll)
		foreach($existingdata as $key => $value){
			if ($key == LANG_current_language) { //Prüft die Sprache des Datensatzes
				$data[$key] = $code;
			}else{
				$data[$key] = $value;
			}
		}
		
		if(!array_key_exists(LANG_current_language,$data)){
			$data[LANG_current_language] = $code;
		}	
		
		$file = 'data.json';
		$json_string = json_encode($data, JSON_PRETTY_PRINT);
		file_put_contents($file, $json_string);
		
		return LANG_plugin_success;
		
	}
}

?>